<?php
session_start();
ob_start();
if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΕΓΓΡΑΦΕΙΤΕ ΓΙΑ ΝΑ ΧΡΗΣΙΜΟΠΟΙΗΣΕΤΕ ΤΟ ΣΥΣΤΗΜΑ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); /* Redirect browser */
  exit();
  }
$menu = $_SESSION['menu'];
include $menu;
require "dbconnect.php";
$dt=$_SESSION['dt'];

/*<p>Κωδικοποίηση χαρακτήρων αρχείου (character encoding): <select name="charset">
       <option value="Windows-1253" selected>Windows-1253</option>
       <option value="ISO-8859-7">ISO-8859-7</option>
    </select>
	<br>
    <p>Χαρακτήρας οριοθέτησης πεδίων (Delimiter): <select name="delim">
       <option value=";" selected><b>;</b></option>
       <option value=","><b>,</b></option>
    </select>
	*/
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>

<body>

<h1>ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΩΝ ΓΙΑ ΑΝΑΛΥΣΕΙΣ</h1>
<form method="post" enctype="multipart/form-data">
    Επιλέξτε το αρχείο CSV με τις επιλογές:
    <input type="file" name="fileToUpload" id="fileToUpload">
	<br>
	<p> Οι στήλες στο αρχείο να έχουν την σειρά: </p>
	<p><b>ΟΝΟΜΑ,ΤΗΛΕΦΩΝΟ,ΜΗΝΥΜΑ,ΗΜΕΡΟΜΗΝΙΑ</b></p>
    <br>
	<br>
	<p><input type="submit" value="ΑΝΕΒΑΣΜΑ ΑΡΧΕΙΟΥ ΚΑΙ ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΩΝ" name="submit">
</form>
<?php
if (isset($_POST['submit'])) {
    if (is_uploaded_file($_FILES['fileToUpload']['tmp_name'])) {
        echo "<h1>" . "File ". $_FILES['fileToUpload']['name'] ." uploaded successfully." . "</h1>";

	$fd=fopen($_FILES['fileToUpload']['tmp_name'],'r');
	$charset = "ISO-8859-7";
	$file=$_FILES['fileToUpload'];
	$delim = ";";
    echo "<h2>Charset:" . $charset . "</h2>";
    echo "<h2>Delimiter:" . $delim . "</h2>";
    echo "<h2>Displaying contents:</h2>";
    echo "<table>\n";
	mysqli_query($con,'TRUNCATE TABLE loizos;');
$i=0;
while(! feof($fd))
  {
	$list=fgetcsv($fd,0,$delim);
	for ($j=0;$j<count($list);$j++) {
		$list[$j] = $list[$j] == "" ? 'NULL' : iconv($charset,'UTF-8', $list[$j]);
	}
	$row=join('</td><td>',$list);
	$name = $list[0];
	$til= trim($list[1]);
	$mes = trim($list[2]);
	$dtm = $list[3];

	if(empty($name)) break;
	$sql="INSERT INTO loizos (name,til,mes,date) 	VALUES ('$name','$til','$mes','$dtm')" ;
	$sql   = str_replace("'NULL'", 'NULL', $sql);
	echo "<tr><td>" . $row . "</td>";
	if($i>=0) {
		echo "<td>" . $sql . "</td>";
		if(mysqli_query($con,$sql)===TRUE) {
			echo "<td>OK</td>";
		} else {
			echo "<td>" . mysqli_error($con) . "</td>";
		}
	}
	echo "</tr>\n";
	$i++;
	
  }
        echo "</table>\n";

fclose($fd);

    } else {
        echo "ΔΕΝ ΕΓΙΝΕ ΕΙΣΑΓΩΓΗ ΤΟΥ ΑΡΧΕΙΟΥ.";
    }
}
?>
<br /><br />

<a  href=<?php echo $menu; ?>  style="color:blue "  > <button>  Επιστροφή στο Μενού  </a>
</body>
</html>
